<?php
/**
 * Clase Base Bean para BaseArArqueoCabeceraBN
 *
 * @package    Sedapal
 * @subpackage BaseArArqueoCabeceraBN
 * @author     Willy
 * @version    SVN:: BaseArArqueoCabeceraBN.class.php,v 1.1 2020-06-30 13:51:13 william.taype Exp $
 */
abstract class BaseArArqueoCabeceraBN
{
  protected $Idclase;
  protected $Idsucursal;
  protected $Idmercado;
  protected $Idcolaborador;
  protected $Fecha;
  protected $Descripcionsucursal;
  protected $Descripcionmercado;
  protected $Descripcioncolaborador;
  protected $Estado;
  protected $Fechacierre;
  protected $Total;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Fechamodificacion;
  protected $Usuariomodificacion;
  protected $Mensaje;
  protected $Error;

  public function getIdclase(){
    return $this->Idclase;
  }
  public function setIdclase($v1){
    $this->Idclase = $v1; 
  }

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getIdmercado(){
    return $this->Idmercado;
  }
  public function setIdmercado($v1){
    $this->Idmercado = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getDescripcionsucursal(){
    return $this->Descripcionsucursal;
  }
  public function setDescripcionsucursal($v1){
    $this->Descripcionsucursal = $v1; 
  }

  public function getDescripcionmercado(){
    return $this->Descripcionmercado;
  }
  public function setDescripcionmercado($v1){
    $this->Descripcionmercado = $v1; 
  }

  public function getDescripcioncolaborador(){
    return $this->Descripcioncolaborador;
  }
  public function setDescripcioncolaborador($v1){
    $this->Descripcioncolaborador = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFechacierre(){
    return $this->Fechacierre;
  }
  public function setFechacierre($v1){
    $this->Fechacierre = $v1; 
  }

  public function getTotal(){
    return $this->Total;
  }
  public function setTotal($v1){
    $this->Total = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getFechamodificacion(){
    return $this->Fechamodificacion;
  }
  public function setFechamodificacion($v1){
    $this->Fechamodificacion = $v1; 
  }

  public function getUsuariomodificacion(){
    return $this->Usuariomodificacion;
  }
  public function setUsuariomodificacion($v1){
    $this->Usuariomodificacion = $v1; 
  }

  public function getIdgastoreferencia(){
    return $this->Idgastoreferencia;
  }
  public function setIdgastoreferencia($v1){
    $this->Idgastoreferencia = $v1; 
  }
  
  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_arqueo_cabeceraBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_arqueo_cabeceraRs )
  {
    $o_ArArqueoCabeceraBN = new ArArqueoCabeceraBN();
    $o_ArArqueoCabeceraBN->setIdclase( $o_Ar_arqueo_cabeceraRs['idclase'] );
    $o_ArArqueoCabeceraBN->setIdsucursal( $o_Ar_arqueo_cabeceraRs['idsucursal'] );
    $o_ArArqueoCabeceraBN->setIdmercado( $o_Ar_arqueo_cabeceraRs['idmercado'] );
    $o_ArArqueoCabeceraBN->setIdcolaborador( $o_Ar_arqueo_cabeceraRs['idcolaborador'] );
    $o_ArArqueoCabeceraBN->setFecha( $o_Ar_arqueo_cabeceraRs['fecha'] );
    $o_ArArqueoCabeceraBN->setDescripcionsucursal( $o_Ar_arqueo_cabeceraRs['descripcionsucursal'] );
    $o_ArArqueoCabeceraBN->setDescripcionmercado( $o_Ar_arqueo_cabeceraRs['descripcionmercado'] );
    $o_ArArqueoCabeceraBN->setDescripcioncolaborador( $o_Ar_arqueo_cabeceraRs['descripcioncolaborador'] );
    $o_ArArqueoCabeceraBN->setEstado( $o_Ar_arqueo_cabeceraRs['estado'] );
    $o_ArArqueoCabeceraBN->setFechacierre( $o_Ar_arqueo_cabeceraRs['fechacierre'] );
    $o_ArArqueoCabeceraBN->setTotal( $o_Ar_arqueo_cabeceraRs['total'] );
    $o_ArArqueoCabeceraBN->setFecharegistro( $o_Ar_arqueo_cabeceraRs['fecharegistro'] );
    $o_ArArqueoCabeceraBN->setUsuarioregistro( $o_Ar_arqueo_cabeceraRs['usuarioregistro'] );
    $o_ArArqueoCabeceraBN->setFechamodificacion( $o_Ar_arqueo_cabeceraRs['fechamodificacion'] );
    $o_ArArqueoCabeceraBN->setUsuariomodificacion( $o_Ar_arqueo_cabeceraRs['usuariomodificacion'] );
    return $o_ArArqueoCabeceraBN;
  }
}